Description

Version: 0.90.0.0 Beta (build id = 00705), Linux 64-bit
Mods: none (never modded)

When viewing the contract list popup window through the small toolbar shown in the upper right corner of the screen during flight (or
the lower right corner for VAB/SPH, etc.), attempting to scroll the list using the mouse scroll wheel only scrolls a few pixels per scroll
unit, such that | have to rotate the wheel through a full revolution just to scroll down to the next page of the list. Also, on rare
occasions (usually when I'm trying to scroll rapidly), the list will suddenly jump to a completely different place.

A potential workaround would be to use the right mouse button to scroll the list, but due to bug #3437 that also rotates the camera so
it's not always feasible.

Steps to reproduce:

1. Accept several contracts.

2. Go to the launch pad or runway.

3. Mouse over the "contracts" icon in the upper right corner of the screen. The contract list will pop up.
4. Attempt to scroll the contract list using the mouse scroll wheel.

Expected behavior: The window scrolls by a significant amount (2-3 lines) with each tick of the scroll wheel.

Observed behavior: The window scrolls by only 4-5 pixels with each tick of the scroll wheel, and sometimes jumps to a different part
of the list.

History

#1 - 07/17/2016 09:27 AM - TriggerAu

- Status changed from New to Needs Clarification

#2 - 07/20/2016 10:42 AM - achurch

- Status changed from Needs Clarification to Updated

- % Done changed from 0 to 10

As of version 1.1.3:

- The scroll speed problem still exists: each tick of the scroll wheel only scrolls the contract list by 4-5 pixels.
- | haven't noticed any erratic jumping of the list, so that part seems to be resolved.

- The click-and-drag workaround is more feasible since the list now uses the left mouse button rather than the right button to drag (though it's still less
convenient than using the scroll wheel).

#3 - 07/29/2016 11:13 AM - sal_vager
- File 1289 contracts scroll.mp4 added

| can't agree with or confirm the issue here, the list scrolls fine for me.

Maybe try another mouse?
https://bugs.kerbalspaceprogram.com/issues/3437

#4 - 07/29/2016 11:38 AM - achurch

This mouse behaves normally with every single other program, so...

| can't see what your mouse is doing so | can't be sure, but given how the list is scrolling in that video, it kind of looks like you're actually
demonstrating the issue. How many revolutions did you have to rotate the scroll wheel to go from the top to the bottom of the list? If it's more than
one, my feeling is that the scrolling is too slow. (For reference, | counted the amount of text as roughly 5.5x the height of the contract list window, so

about 1.3x the screen height; normally, | would expect a full 360-degree revolution of the scroll wheel to scroll by an amount equal to 2-3x the screen
height, based on how other programs behave.)

Files
1289 contracts scroll.mp4 793 KB 07/29/2016 sal_vager
